Switch all hosts to the future parser
Closed, ResolvedPublic

Description

We need to switch all hostgroups to use the future parser. For now, we're keeping track in this ticket of hostgroups that have been migrated.

Here is the list of converted roles/hostgroups:

  • role::configcluster
  • role::mediawiki::* (Giuseppe working on this)
  • role::maps::* (@Gehel working on this)
  • role::wdqs::* (@Gehel working on this)
  • role::elasticsearch::* (@Gehel working on this)
  • profile::cassandra / profile::cassandra::single_instance (@Gehel working on this, as a maps dependency)
  • role::mediawiki::memcached
  • role::failoid
There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 368619 merged by Giuseppe Lavagetto:
[operations/puppet@production] role::mediawiki::appserver::*: switch to the future parser

https://gerrit.wikimedia.org/r/368619

Change 368620 merged by Giuseppe Lavagetto:
[operations/puppet@production] role::mediawiki::imagescaler: switch to the future parser

https://gerrit.wikimedia.org/r/368620

Change 368621 merged by Giuseppe Lavagetto:
[operations/puppet@production] role::mediawiki::jobrunner/videoscaler: switch to the future parser

https://gerrit.wikimedia.org/r/368621

Joe added a comment.Aug 10 2017, 1:23 PM

Full list of hosts using the future parser:

(297) conf[2001-2003].codfw.wmnet,conf[1001-1003].eqiad.wmnet,mw[2017,2097,2099-2147,2150-2258].codfw.wmnet,mw[1161-1169,1180-1195,1197-1216,1218-1227,1229-1235,1238-1290,1293-1306].eqiad.wmnet,mwdebug[1001-1002].eqiad.wmnet

hosts still using the old parser:

(1007) acamar.wikimedia.org,achernar.wikimedia.org,acrab.codfw.wmnet,acrux.codfw.wmnet,actinium.wikimedia.org,alcyone.wikimedia.org,alsafi.wikimedia.org,aluminium.wikimedia.org,analytics[1001-1003,1028-1069].eqiad.wmnet,aqs[1004-1009].eqiad.wmnet,argon.eqiad.wmnet,auth2001.codfw.wmnet,auth1001.eqiad.wmnet,baham.wikimedia.org,bast[1001,2001,3002,4001].wikimedia.org,bohrium.eqiad.wmnet,bromine.eqiad.wmnet,californium.wikimedia.org,cerium.eqiad.wmnet,chlorine.eqiad.wmnet,chromium.wikimedia.org,cobalt.wikimedia.org,conf[1004-1006].eqiad.wmnet,contint[1001,2001].wikimedia.org,copper.eqiad.wmnet,cp[2001-2026].codfw.wmnet,cp[1045-1055,1058-1068,1071-1074,1099].eqiad.wmnet,cp[3004-3008,3010,3030-3049].esams.wmnet,cp[4005-4010,4013-4018,4021-4028].ulsfo.wmnet,cp1008.wikimedia.org,darmstadtium.eqiad.wmnet,dataset1001.wikimedia.org,db[2010-2012,2016-2019,2023,2028-2030,2033-2092].codfw.wmnet,db[1001,1009,1011,1015-1016,1018,1020-1024,1026,1028-1031,1033-1039,1041,1043-1056,1059-1106].eqiad.wmnet,dbmonitor[1001,2001].wikimedia.org,dbproxy[1001-1011].eqiad.wmnet,dbstore[2001-2002].codfw.wmnet,dbstore[1001-1002].eqiad.wmnet,diadem.wikimedia.org,druid[1001-1006].eqiad.wmnet,dubnium.wikimedia.org,dumpsdata[1001-1002].eqiad.wmnet,dysprosium.wikimedia.org,eeden.wikimedia.org,einsteinium.wikimedia.org,elastic[2001-2036].codfw.wmnet,elastic[1017-1052].eqiad.wmnet,es[2001-2004,2011-2019].codfw.wmnet,es[1011-1019].eqiad.wmnet,etcd[1001-1006].eqiad.wmnet,etherpad1001.eqiad.wmnet,eventlog2001.codfw.wmnet,eventlog1001.eqiad.wmnet,fermium.wikimedia.org,francium.eqiad.wmnet,ganeti[2001-2008].codfw.wmnet,ganeti[1001-1007].eqiad.wmnet,gerrit2001.wikimedia.org,graphite[2001-2002].codfw.wmnet,graphite[1001-1003].eqiad.wmnet,hafnium.eqiad.wmnet,hassaleh.codfw.wmnet,hassium.eqiad.wmnet,helium.eqiad.wmnet,heze.codfw.wmnet,hydrogen.wikimedia.org,install[1002,2002].wikimedia.org,iridium.eqiad.wmnet,iron.wikimedia.org,kafka[2001-2003].codfw.wmnet,kafka[1001-1003,1012-1014,1018,1020,1022].eqiad.wmnet,kraz.wikimedia.org,krypton.eqiad.wmnet,kubernetes[2001-2004].codfw.wmnet,kubernetes[1001-1004].eqiad.wmnet,kubestage[1001-1002].eqiad.wmnet,kubestagetcd[1001-1003].eqiad.wmnet,kubetcd[2001-2003].codfw.wmnet,labcontrol[1001-1004].wikimedia.org,labmon1001.eqiad.wmnet,labnet[1001-1002].eqiad.wmnet,labnodepool[1001-1002].eqiad.wmnet,labpuppetmaster[1001-1002].wikimedia.org,labsdb[1001,1003-1007,1009-1011].eqiad.wmnet,labservices[1001-1002].wikimedia.org,labstore[2001,2003-2004].codfw.wmnet,labstore[1001-1005].eqiad.wmnet,labtestcontrol[2001,2003].wikimedia.org,labtestmetal2001.codfw.wmnet,labtestnet[2001-2002].codfw.wmnet,labtestneutron[2001-2002].codfw.wmnet,labtestpuppetmaster2001.wikimedia.org,labtestservices[2001-2003].wikimedia.org,labtestvirt[2001-2003].codfw.wmnet,labtestweb2001.wikimedia.org,labvirt[1001-1014,1016-1018].eqiad.wmnet,labweb[1001-1002].wikimedia.org,lithium.eqiad.wmnet,logstash[1001-1006].eqiad.wmnet,lvs[2001-2006].codfw.wmnet,lvs[1009-1012].eqiad.wmnet,lvs[3001-3004].esams.wmnet,lvs[4001-4004].ulsfo.wmnet,lvs[1001-1006].wikimedia.org,maerlant.wikimedia.org,maps[2001-2004].codfw.wmnet,maps[1001-1004].eqiad.wmnet,maps-test[2001-2004].codfw.wmnet,mc[2019-2036].codfw.wmnet,mc[1001-1036].eqiad.wmnet,meitnerium.wikimedia.org,mendelevium.eqiad.wmnet,ms1001.wikimedia.org,ms-be[2013-2039].codfw.wmnet,ms-be[1013-1039].eqiad.wmnet,ms-be[3001-3004].esams.wmnet,ms-fe[2005-2008].codfw.wmnet,ms-fe[1005-1008].eqiad.wmnet,ms-fe[3001-3002].esams.wmnet,multatuli.wikimedia.org,mwlog2001.codfw.wmnet,mwlog1001.eqiad.wmnet,mx[1001,2001].wikimedia.org,naos.codfw.wmnet,neodymium.eqiad.wmnet,neon.eqiad.wmnet,nescio.wikimedia.org,netmon[1002-1003,2001].wikimedia.org,nihal.codfw.wmnet,nitrogen.eqiad.wmnet,notebook[1001-1002].eqiad.wmnet,ocg[1001-1003].eqiad.wmnet,ores[2001-2009].codfw.wmnet,ores[1001-1009].eqiad.wmnet,oresrdb[2001-2002].codfw.wmnet,oresrdb[1001-1002].eqiad.wmnet,osmium.eqiad.wmnet,oxygen.eqiad.wmnet,pc[2004-2006].codfw.wmnet,pc[1004-1006].eqiad.wmnet,phab2001.codfw.wmnet,phab1001.eqiad.wmnet,planet2001.codfw.wmnet,planet1001.eqiad.wmnet,pollux.wikimedia.org,poolcounter[2001-2002].codfw.wmnet,poolcounter[1001-1002].eqiad.wmnet,praseodymium.eqiad.wmnet,prometheus[2003-2004].codfw.wmnet,prometheus[1003-1004].eqiad.wmnet,pybal-test[2001-2003].codfw.wmnet,radium.wikimedia.org,radon.wikimedia.org,rdb[2001-2006].codfw.wmnet,rdb[1001-1008].eqiad.wmnet,releases2001.codfw.wmnet,releases1001.eqiad.wmnet,relforge[1001-1002].eqiad.wmnet,restbase[2001-2012].codfw.wmnet,restbase[1007-1018].eqiad.wmnet,restbase-dev[1004-1006].eqiad.wmnet,restbase-test[2001-2003].codfw.wmnet,rhenium.wikimedia.org,roentgenium.eqiad.wmnet,ruthenium.eqiad.wmnet,rutherfordium.eqiad.wmnet,sarin.codfw.wmnet,sca[2003-2004].codfw.wmnet,sca[1003-1004].eqiad.wmnet,scb[2001-2006].codfw.wmnet,scb[1001-1004].eqiad.wmnet,seaborgium.wikimedia.org,serpens.wikimedia.org,silver.wikimedia.org,snapshot[1001,1005-1007].eqiad.wmnet,sodium.wikimedia.org,stat[1003-1006].eqiad.wmnet,tegmen.wikimedia.org,terbium.eqiad.wmnet,thorium.eqiad.wmnet,thumbor[2001-2004].codfw.wmnet,thumbor[1001-1004].eqiad.wmnet,tin.eqiad.wmnet,tungsten.eqiad.wmnet,tureis.codfw.wmnet,ununpentium.wikimedia.org,uranium.wikimedia.org,wasat.codfw.wmnet,wdqs[2001-2003].codfw.wmnet,wdqs[1001-1003].eqiad.wmnet,wezen.codfw.wmnet,wtp[2001-2020].codfw.wmnet,wtp[1001-1030,1033-1048].eqiad.wmnet,xenon.eqiad.wmnet,zosma.codfw.wmnet

Change 371076 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] base::service_unit: deprecate autolookup of templates

https://gerrit.wikimedia.org/r/371076

Joe moved this task from Backlog to Doing on the User-Joe board.Aug 11 2017, 8:50 AM
Gehel updated the task description. (Show Details)Aug 14 2017, 8:56 AM
Gehel added a subscriber: Gehel.

Change 369688 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] wdqs - remove upstart configuration files

https://gerrit.wikimedia.org/r/369688

Change 372063 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] service::node: move to puppet4 compatible parameter validation

https://gerrit.wikimedia.org/r/372063

Gehel updated the task description. (Show Details)Aug 17 2017, 3:29 PM

Change 371076 merged by Alexandros Kosiaris:
[operations/puppet@production] base::service_unit: move template rendering to the caller

https://gerrit.wikimedia.org/r/371076

Change 369682 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] wdqs - moving to role / profiles

https://gerrit.wikimedia.org/r/369682

Change 369682 merged by Gehel:
[operations/puppet@production] wdqs - moving to role / profiles

https://gerrit.wikimedia.org/r/369682

Change 369688 merged by Gehel:
[operations/puppet@production] wdqs - remove upstart configuration files

https://gerrit.wikimedia.org/r/369688

Change 374319 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] profile::base: stringify hiera defaults

https://gerrit.wikimedia.org/r/374319

Change 374321 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] git::clone: enhance compatibility with the future parser

https://gerrit.wikimedia.org/r/374321

Change 374322 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] role::wdqs: move to the future parser

https://gerrit.wikimedia.org/r/374322

Change 374319 merged by Giuseppe Lavagetto:
[operations/puppet@production] profile::base: stringify hiera defaults

https://gerrit.wikimedia.org/r/374319

Joe added a comment.Aug 28 2017, 3:13 PM

https://puppet-compiler.wmflabs.org/compiler02/7622/index-future.html has a list with most spurious differences removed.

I'll post new puppet-compiler results once I fix more issues in the catalogs.

Joe updated the task description. (Show Details)Aug 28 2017, 3:14 PM

Change 374322 merged by Gehel:
[operations/puppet@production] role::wdqs: move to the future parser

https://gerrit.wikimedia.org/r/374322

Change 374341 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] role::elasticsearch::(cirrus|relforge): move to the future parser

https://gerrit.wikimedia.org/r/374341

Gehel updated the task description. (Show Details)Aug 28 2017, 3:51 PM

Change 374349 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] role::mariadb::misc: fix template scoping

https://gerrit.wikimedia.org/r/374349

Change 374350 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] phabricator::logmail: fix scoping of templates

https://gerrit.wikimedia.org/r/374350

Change 374351 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] role::mariadb::misc::phabricator: fix template scoping

https://gerrit.wikimedia.org/r/374351

Change 374352 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] requesttracker::config: fix template scoping

https://gerrit.wikimedia.org/r/374352

Change 374353 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] ganglia::gmetad::rrdcached: fix template scoping

https://gerrit.wikimedia.org/r/374353

Change 374321 merged by Giuseppe Lavagetto:
[operations/puppet@production] git::clone: enhance compatibility with the future parser

https://gerrit.wikimedia.org/r/374321

Change 374349 merged by Giuseppe Lavagetto:
[operations/puppet@production] role::mariadb::misc: fix template scoping

https://gerrit.wikimedia.org/r/374349

Change 374350 merged by Giuseppe Lavagetto:
[operations/puppet@production] phabricator::logmail: fix scoping of templates

https://gerrit.wikimedia.org/r/374350

Change 374351 merged by Giuseppe Lavagetto:
[operations/puppet@production] role::mariadb::misc::phabricator: fix template scoping

https://gerrit.wikimedia.org/r/374351

Change 374352 merged by Giuseppe Lavagetto:
[operations/puppet@production] requesttracker::config: fix template scoping

https://gerrit.wikimedia.org/r/374352

Change 374538 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] statistics::wmde: fix template scoping

https://gerrit.wikimedia.org/r/374538

Change 374353 merged by Giuseppe Lavagetto:
[operations/puppet@production] ganglia::gmetad::rrdcached: fix template scoping

https://gerrit.wikimedia.org/r/374353

Change 374538 merged by Giuseppe Lavagetto:
[operations/puppet@production] statistics::wmde: fix template scoping

https://gerrit.wikimedia.org/r/374538

Change 374541 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] zuul: remove configfile define

https://gerrit.wikimedia.org/r/374541

Change 374541 merged by Giuseppe Lavagetto:
[operations/puppet@production] zuul: remove configfile define

https://gerrit.wikimedia.org/r/374541

Change 374553 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] puppetmaster::passenger: fix template scoping

https://gerrit.wikimedia.org/r/374553

Change 374554 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] labspuppetmaster: fix array interpolation in strings

https://gerrit.wikimedia.org/r/374554

Change 374553 merged by Giuseppe Lavagetto:
[operations/puppet@production] puppetmaster::passenger: fix template scoping

https://gerrit.wikimedia.org/r/374553

Change 374554 merged by Giuseppe Lavagetto:
[operations/puppet@production] labspuppetmaster: fix array interpolation in strings

https://gerrit.wikimedia.org/r/374554

Change 374704 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] prometheus::class_config: avoid validate_re for an integer

https://gerrit.wikimedia.org/r/374704

Change 374736 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] requesttracker: fix further template scoping

https://gerrit.wikimedia.org/r/374736

Change 374738 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] sysfs::conffile: use validate_numeric for number validation

https://gerrit.wikimedia.org/r/374738

Change 374739 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] varnish::common::vcl: fix template scoping

https://gerrit.wikimedia.org/r/374739

Change 374778 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] varnish: convert to string integers

https://gerrit.wikimedia.org/r/374778

Change 374946 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] varnish: stringify instance ports

https://gerrit.wikimedia.org/r/374946

Change 374736 merged by Giuseppe Lavagetto:
[operations/puppet@production] requesttracker: fix further template scoping

https://gerrit.wikimedia.org/r/374736

Change 374738 merged by Giuseppe Lavagetto:
[operations/puppet@production] sysfs::conffile: use validate_numeric for number validation

https://gerrit.wikimedia.org/r/374738

Change 374704 merged by Giuseppe Lavagetto:
[operations/puppet@production] prometheus: avoid validate_re for an integer

https://gerrit.wikimedia.org/r/374704

Joe updated the task description. (Show Details)Sep 1 2017, 12:33 PM
Joe added a comment.Sep 1 2017, 12:35 PM

After my series of changes the situation looks much better:

https://puppet-compiler.wmflabs.org/compiler02/7683/index-future.html

there are 52 classes of hosts where compiling with the future parser fails. I am tempted of moving everything else to the future parser as soon as possible.

Change 368623 merged by Volans:
[operations/puppet@production] failoid: migrate to Puppet's future parser

https://gerrit.wikimedia.org/r/368623

Volans updated the task description. (Show Details)Sep 5 2017, 2:28 PM

Change 374739 merged by Ema:
[operations/puppet@production] varnish::common::vcl: fix template scoping

https://gerrit.wikimedia.org/r/374739

Change 374778 merged by Ema:
[operations/puppet@production] varnish: convert to string integers

https://gerrit.wikimedia.org/r/374778

Change 374946 merged by Ema:
[operations/puppet@production] varnish: stringify instance ports

https://gerrit.wikimedia.org/r/374946

Joe moved this task from Doing to Blocked on others on the User-Joe board.Sep 7 2017, 7:25 AM

Change 372063 abandoned by Gehel:
service::node: move to puppet 4 compatible parameter validation

Reason:
similar fix have already been applied

https://gerrit.wikimedia.org/r/372063

Change 377459 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] k8s: fix template scoping

https://gerrit.wikimedia.org/r/377459

Change 377459 merged by Giuseppe Lavagetto:
[operations/puppet@production] k8s: fix template scoping

https://gerrit.wikimedia.org/r/377459

Joe added a comment.Sep 12 2017, 3:42 PM

We did a lot of work today on this, and I am thus running a new puppet compiler full run, which can be found here

https://puppet-compiler.wmflabs.org/compiler02/7824/index-future.html

this is still lacking @Gehel's patch that fixes cassandra: https://gerrit.wikimedia.org/r/#/c/372124/

Change 377493 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] role::snapshot::common: properly scope included classes

https://gerrit.wikimedia.org/r/377493

Change 374341 merged by Gehel:
[operations/puppet@production] role::elasticsearch::(cirrus|relforge): move to the future parser

https://gerrit.wikimedia.org/r/374341

Gehel updated the task description. (Show Details)Sep 12 2017, 4:27 PM

Change 377493 merged by Faidon Liambotis:
[operations/puppet@production] role::snapshot::common: properly scope included classes

https://gerrit.wikimedia.org/r/377493

I pushed and merged a bunch of changes under Gerrit's topic:future-parser today. I also switched a couple of other patchsets to that topic as well, for referencing them easily. For the record, @ema used topic:varnish-future-parser for the Varnish work, but all this has been merged.

There are currently 2 status:open patchsets in topic:future-parser: a minor one in Thumbor that passes the PCC (change and future) and needs code review, and the humongous Cassandra one, affecting multiple hosts, which fails with the PCC right now but is close to getting there.

Apart from these, there seem to be 2-3 false positives (scap::dsh::groups dictionary being modified in-place, some class parameters being passed as integers but not actually affecting any templates/configs etc.).

Unless I missed something, there are no remaining ones in the big puppet compiler diff above. We're getting close :)

Mentioned in SAL (#wikimedia-operations) [2017-09-14T08:13:38Z] <gehel> merging cassandra refactoring for puppet - T171704

Change 372124 merged by Gehel:
[operations/puppet@production] cassandra: future parser and Puppet 4 compatibility

https://gerrit.wikimedia.org/r/372124

Change 377965 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] cassandra - move super authentication on the main cassandra class

https://gerrit.wikimedia.org/r/377965

Change 377965 merged by Gehel:
[operations/puppet@production] cassandra - move super authentication on the main cassandra class

https://gerrit.wikimedia.org/r/377965

Change 377975 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] cassandra - actually use the authentication parameters

https://gerrit.wikimedia.org/r/377975

Change 377976 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] cassandra - re-introduce the instance_count parameter

https://gerrit.wikimedia.org/r/377976

Change 377975 merged by Gehel:
[operations/puppet@production] cassandra - actually use the authentication parameters

https://gerrit.wikimedia.org/r/377975

Mentioned in SAL (#wikimedia-operations) [2017-09-14T09:41:56Z] <gehel> re-enabling puppet on all cassandra nodes - T171704

Change 377976 abandoned by Gehel:
cassandra - re-introduce the instance_count parameter

Reason:
replaced by https://gerrit.wikimedia.org/r/#/c/377997/

https://gerrit.wikimedia.org/r/377976

Gehel updated the task description. (Show Details)Sep 14 2017, 1:32 PM

I think as of today, with the latest compiler run (#7882) plus another hotfix (28111a9), all manifests are compatible with the future parser and we can (and should!) migrate all hosts to the future environment, plus CI and the compiler.

Change 379491 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] Rakefile: start using the future parser for syntax checking

https://gerrit.wikimedia.org/r/379491

Change 379492 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] puppet: switch all hosts to the future parser

https://gerrit.wikimedia.org/r/379492

Change 379491 merged by Giuseppe Lavagetto:
[operations/puppet@production] Rakefile: start using the future parser for syntax checking

https://gerrit.wikimedia.org/r/379491

Change 379523 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] puppet: move production to the future environment

https://gerrit.wikimedia.org/r/379523

Change 379523 merged by Giuseppe Lavagetto:
[operations/puppet@production] puppet: move production to the future environment

https://gerrit.wikimedia.org/r/379523

Change 379569 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/software/puppet-compiler@master] Convert to use of the future parser by default

https://gerrit.wikimedia.org/r/379569

Change 379492 abandoned by Giuseppe Lavagetto:
puppet: switch all production hosts to the future parser

https://gerrit.wikimedia.org/r/379492

Change 379569 merged by Giuseppe Lavagetto:
[operations/software/puppet-compiler@master] Convert to use of the future parser by default

https://gerrit.wikimedia.org/r/379569

Change 379717 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[operations/puppet@production] puppet-compiler: bump to version 0.3.4

https://gerrit.wikimedia.org/r/379717

Change 379717 merged by Giuseppe Lavagetto:
[operations/puppet@production] puppet-compiler: bump to version 0.3.4

https://gerrit.wikimedia.org/r/379717

Joe closed this task as Resolved.Sep 25 2017, 6:21 AM